# coding: utf-8

from django.contrib.sitemaps import Sitemap
from publieditor.content.models import TranslationContent


class TranslationSitemap(Sitemap):
    changefreq = "weekly"
    priority = 0.5

    def items(self):
        return TranslationContent.objects.filter(
            status=1,
        ).order_by('-date_create')[:5000]

    def lastmod(self, obj):
        return obj.date_create

    def location(self, obj):
        return obj.get_atlk_relative_detail_url()
